package cn.jiguang.jmlinkexample;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

import java.util.Map;

import cn.jiguang.jmlinksdk.api.JMLinkAPI;
import cn.jiguang.jmlinksdk.api.JMLinkResponse;
import cn.jiguang.jmlinksdk.api.JMLinkResponseObj;

//先授权、用户同意权限之后才执行魔链的初始化
public class NewJmlinkActivity extends BaseActivity {
    private static final String TAG = "NewJmlinkActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        Log.d(TAG, "WelcomeActivity onCreate");
        super.onCreate(savedInstanceState);
        boolean granted=getApplicationContext().getSharedPreferences("status", Context.MODE_PRIVATE).getBoolean("grant",false);
        if(granted) {
            initmlink();
            init();
        }else {
            Toast.makeText(getApplicationContext(),"为了数据合规性请先让用户授权",Toast.LENGTH_LONG).show();
            finish();
        }
    }

    private void initmlink() {
        JMLinkAPI.getInstance().setDebugMode(true);
        JMLinkAPI.getInstance().init(getApplicationContext());
        JMLinkAPI.getInstance().register(new JMLinkResponse() {
            @Override
            public void response(JMLinkResponseObj obj) {
                Log.e(TAG, "replay = " + obj.paramMap + " " + obj.uri + " " + obj.source + " " + obj.type);
                //获取参数，进行后续工作
                Intent intent = new Intent(NewJmlinkActivity.this, SecondActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TOP);
                for (Map.Entry<String, String> param : obj.paramMap.entrySet()) {
                    intent.putExtra(param.getKey(), param.getValue());
                }
                startActivity(intent);
                finish();
            }
        });
    }

    private void init() {
        Uri uri = getIntent().getData();
        Log.e(TAG, "data = " + uri);
        JMLinkAPI.getInstance().routerV2(uri);
    }



    @Override
    protected void onDestroy() {
        super.onDestroy();
        Log.d(TAG, "WelcomeActivity onDestroy");
    }
}
