package cn.jiguang.jmlinkexample;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;

import java.util.Map;

import cn.jiguang.jmlinksdk.api.JMLinkAPI;
import cn.jiguang.jmlinksdk.api.JMLinkResponse;
import cn.jiguang.jmlinksdk.api.JMLinkResponseObj;

public class WelcomeActivity extends BaseActivity {
    private static final String TAG = "WelcomeActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        Log.d(TAG, "WelcomeActivity onCreate");
        super.onCreate(savedInstanceState);
        initmlink();
        init();
    }

    private void init() {
        Uri uri = getIntent().getData();
        Log.e(TAG, "data = " + uri);
        JMLinkAPI.getInstance().routerV2(uri);
        finish();
    }


    private void initmlink() {
        JMLinkAPI.getInstance().setDebugMode(true);
        JMLinkAPI.getInstance().init(getApplicationContext());
        JMLinkAPI.getInstance().register(new JMLinkResponse() {
            @Override
            public void response(JMLinkResponseObj obj) {
                Log.e(TAG, "replay = " + obj.paramMap + " " + obj.uri + " " + obj.source + " " + obj.type);
                //获取参数，进行后续工作
                Intent intent = new Intent(WelcomeActivity.this, SecondActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TOP);
                for (Map.Entry<String, String> param : obj.paramMap.entrySet()) {
                    intent.putExtra(param.getKey(), param.getValue());
                }
                startActivity(intent);
                finish();
            }
        });
    }


    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        Uri uri = intent.getData();
        Log.e(TAG, "data = " + uri);
        JMLinkAPI.getInstance().routerV2(uri);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        Log.d(TAG, "WelcomeActivity onDestroy");
    }
}
